{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.wither.look_at_target": {
			"loop": true,
			"bones": {
				"head1Morph": {
					"rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", "-this"]
				},
				"head2Morph": {
					"rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", "-this"]
				},
				"head3Morph": {
					"rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", "-this"]
				}
			}
		},
		"animation.tsu_morph.wither.move": {
			"loop": true,
			"bones": {
				"upperBodyPart2Morph": {
					"rotation": ["variable.upper_body_rotation - this", "-this", "-this"]
				},
				"upperBodyPart3Morph": {
					"rotation": ["((0.2 + 0.1 * variable.body_base_rotation) * 180) - this", "-this", "-this"],
					"position": [-2, -16.9, -0.5]
				}
			}
		},
		"animation.tsu_morph.wither.scale": {
			"loop": true,
			"bones": {
				"rootMorph": {
					"scale": 2
				}
			}
		},
		"animation.tsu_morph.wither.swell": {
			"animation_length": 11.5,
			"bones": {
				"rootMorph": {
					"scale": {
						"0.0": [0.5, 0.5, 0.5],
						"11.0": [1, 1, 1]
					}
				},
				"upperBodyPart1Morph": {
					"rotation": [0, "q.anim_time * 360 * 2", 0]
				},
				"head1Morph": {
					"rotation": [0, "q.anim_time * 360", 0]
				}
			},
			"timeline": {
				"0.0": "v.is_invulnerable = 1;",
				"11.0": "v.is_invulnerable = 0;"
			}
		},
		"animation.tsu_morph.wither_armor.armor_random": {
			"loop": true,
			"bones": {
				"bone": {
					"rotation": ["math.random_integer(0,3) * 90", 0, 0]
				},
				"bone2": {
					"rotation": ["math.random_integer(0,3) * 90", 0, 0]
				},
				"bone3": {
					"rotation": ["math.random_integer(0,3) * 90", 0, 0]
				},
				"bone4": {
					"rotation": ["math.random_integer(0,3) * 90", 0, 0]
				},
				"bone5": {
					"rotation": [0, "math.random_integer(0,3) * 90", 0]
				},
				"bone6": {
					"rotation": ["math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90"]
				},
				"bone7": {
					"rotation": ["math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90"]
				},
				"bone8": {
					"rotation": ["math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90", "math.random_integer(0,3) * 90"]
				},
				"bone9": {
					"rotation": [0, "math.random_integer(0,3) * 90", 0]
				}
			}
		}
	}
}